
class ComponentMenu extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      isOpenFile: false,
      anchorEl: null
    }
  }

  resetMapSize = () => {
    $('a[data-val="auto"]').trigger("click");
  }

  render = () => {
    return (
    <div style={{position : "relative"}}>
      <Button
        aria-controls={this.state.isOpenFile ? 'demo-customized-menu' : undefined}
        aria-haspopup="true"
        aria-expanded={this.state.isOpenFile ? 'true' : undefined}
        variant="text"
        disableElevation
        onClick={(event)=> {
          this.setState({
            isOpenFile : !this.state.isOpenFile,
            anchorEl: event.currentTarget
          });
        }}
      >
        File
      </Button>
      <Menu
          anchorEl={this.state.anchorEl}
        anchorOrigin={{
          vertical: 'bottom',
          horizontal: 'right',
        }}
        transformOrigin={{
          vertical: 'top',
          horizontal: 'right',
        }}
        open={this.state.isOpenFile}
        onClose={()=> {
          this.setState({isOpenFile : false});
        }}
      >
        <MenuItem onClick={() => {
          this.setState({isOpenFile : false});
          this.props.onDialogLoadPLYandTXT();

        }} disableRipple>
          <span className="material-icons">folder_open</span>
          Open PLY and TXT..
        </MenuItem>
        <MenuItem onClick={async () => {
          this.setState({isOpenFile : false});
          let result = await eel.open_project()();
          if(result) {
            alert(result);
          } else {
            this.resetMapSize();
          }
        }} disableRipple>
          <span className="material-icons">file_open</span>
          Open Project..
        </MenuItem>

        <MenuItem onClick={async () => {
          this.setState({isOpenFile : false});
          let result = await eel.save_project()();
          if(result) {
            alert(result);
          }
        }} disableRipple>
          <span className="material-icons">save</span>
          Save Project..
        </MenuItem>

        <MenuItem onClick={async () => {
          this.setState({isOpenFile : false});
          let result = await eel.save_as_project()();
          if(result) {
            alert(result);
          }
        }} disableRipple>
          <span className="material-icons">save</span>
          Save As Project..
        </MenuItem>

        <Divider sx={{ my: 0.5 }} />
        <MenuItem onClick={() => {
          window.close();
        }} disableRipple>
          <span className="material-icons">close</span>
          Exit
        </MenuItem>
      </Menu>
    </div>);
  }
}


